AbstractTwoPrioritiesBufferQueue (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena.dvdrp

## Class AbstractTwoPrioritiesBufferQueue

- java.lang.Object
- - siena.dvdrp.AbstractTwoPrioritiesBufferQueue

- All Implemented Interfaces:
    TwoPrioritiesQueue
  Direct Known Subclasses:
    TwoPrioritiesBufferQueue, TwoPrioritiesStaticBufferQueue

      public class AbstractTwoPrioritiesBufferQueue
      extends java.lang.Object
      implements TwoPrioritiesQueue

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_LOW_PENALTY`
    `static int` | `DEFAULT_SIZE_HIGH`
    `static int` | `DEFAULT_SIZE_LOW`
    `protected int` | `high_size`
    `protected int` | `low_penalty`
    `protected int` | `low_size`
    `int` | `max_low_penalty`

    - ### Fields inherited from interface siena.dvdrp.TwoPrioritiesQueue

      `HIGH, LOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTwoPrioritiesBufferQueue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(byte[] obj, int priority)`
    `void` | `add(byte[] obj, int length, int priority)`
    `void` | `clear()`
    `Buffer` | `next()`
    `void` | `recycle(Buffer buf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SIZE_HIGH

          public static int DEFAULT_SIZE_HIGH

    - #### DEFAULT_SIZE_LOW

          public static int DEFAULT_SIZE_LOW

    - #### high_size

          protected int high_size

    - #### low_size

          protected int low_size

    - #### DEFAULT_MAX_LOW_PENALTY

          public static int DEFAULT_MAX_LOW_PENALTY

    - #### max_low_penalty

          public int max_low_penalty

    - #### low_penalty

          protected int low_penalty

  - ### Constructor Detail

    - #### AbstractTwoPrioritiesBufferQueue

          public AbstractTwoPrioritiesBufferQueue()

  - ### Method Detail

    - #### add

          public void add(byte[] obj,
                 int priority)
                   throws QueueFullException

      Specified by:
        `add` in interface `TwoPrioritiesQueue`
      Throws:
        `QueueFullException`

    - #### add

          public void add(byte[] obj,
                 int length,
                 int priority)
                   throws QueueFullException

      Specified by:
        `add` in interface `TwoPrioritiesQueue`
      Throws:
        `QueueFullException`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `TwoPrioritiesQueue`

    - #### next

          public Buffer next()

    - #### recycle

          public void recycle(Buffer buf)

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga